
/**
 * Page : confirmation_commande.tpl
 * Form : fcost
 */
function verrifFormConfirmationCommande() {
	/**
	 * Verrification de la liste deroulante "FormuleFraisExp"
	 * -> Choix du transporteur / frais d'envoi
	 */
	if (document.fcost.FormuleFraisExp.options[document.fcost.FormuleFraisExp.selectedIndex].value == 'X')    {
		alert('Frais d\'envoi non choisit');
		return false;
	}

	/**
	 * Verrification de la serie de boutons radios "PaymentType"
	 * -> Choix du mode de paiement
	 */
	var compteur = 0;

	for (var i=0; i<document.fcost.PaymentType.length; i++) {
		if (document.fcost.PaymentType[i].checked == true) {
			compteur++;
		}
	}

	if (compteur < 1) {
		alert('Mode de maiement non choisit');
		return false;
	}
}


/**
 * Page : toutes pages
 * Form : tous formulaire du moment que celui-ci est defini ici
 */
function field_focus(field)
{
    document.getElementById(field).style.backgroundColor = '#FFDDCC';
    document.getElementById(field).style.borderColor = '#FF0000';
    document.getElementById(field).focus();
}


/**
 * Page : toutes pages
 * Form : tous formulaire du moment que celui-ci est defini ici
 */
function checkForm(formName)
{
	switch (formName) {
	case 'saisie_adresse':
		if (document.getElementById('C_FirstName').value == '') {
			alert('Veuillez saisir votre nom.');
            field_focus('C_FirstName');
			return(false);
		}

		if (document.getElementById('C_LastName').value == '') {
			alert('Veuillez saisir votre prenom.');
            field_focus('C_LastName');
			return(false);
		}

		if (document.getElementById('C_Telephone').value == '') {
			alert('Veuillez saisir votre numero de telephone.');
            field_focus('C_Telephone');
			return(false);
		}

		if (document.getElementById('C_Email').value == '') {
			alert('Veuillez saisir votre adresse email.');
            field_focus('C_Email');
			return(false);
		}

		if (document.getElementById('C_Password').value == '') {
			alert('Veuillez definir un mot de passe.');
            field_focus('C_Password');
			return(false);
		}

		password = document.getElementById('C_Password').value;

		if (password.length < 6) {
			alert('Votre mot de passe doit contenir un minimum de 6 caracteres.');
            field_focus('C_Password');
			return(false);
		}

		if (document.getElementById('B_Street').value == '') {
			alert('Veuillez saisir votre adresse de facturation.');
            field_focus('B_Street');
			return(false);
		}

        if (document.getElementById('B_ID_Country').value == '0') {
            alert('Veuillez choisir votre pays.');
            field_focus('B_ID_Country');
            return(false);
        }

        if (document.getElementById('B_ID_State').value == 'X') {
            alert('Veuillez choisir votre departement.');
            field_focus('B_ID_State');
            return(false);
        }

		if (document.getElementById('B_ID_City').value == 'X') {
			alert('Veuillez choisir votre ville de residence.');
            field_focus('B_ID_City');
			return(false);
		}

		break;

	case 'confirmation_adresse':
		if (document.getElementById('B_FirstName').value == '') {
			alert('Veuillez saisir votre nom.');
            field_focus('B_FirstName');
			return(false);
		}

		if (document.getElementById('B_LastName').value == '') {
			alert('Veuillez saisir votre prenom.');
            field_focus('B_LastName');
			return(false);
		}

		if (document.getElementById('C_Telephone').value == '') {
			alert('Veuillez saisir votre numero de telephone.');
            field_focus('C_Telephone');
			return(false);
		}

		if (document.getElementById('C_Email').value == '') {
			alert('Veuillez saisir votre adresse email.');
            field_focus('C_Email');
			return(false);
		}

		if (document.getElementById('B_Street').value == '') {
			alert('Veuillez saisir votre adresse de facturation.');
            field_focus('B_Street');
			return(false);
		}

		if (document.getElementById('D_FirstName').value == '') {
			alert('Veuillez indiquer votre nom pour l\'adresse de livraison.');
            field_focus('D_FirstName');
			return(false);
		}

		if (document.getElementById('D_LastName').value == '') {
			alert('Veuillez indiquer votre prenom pour l\'adresse de livraison.');
            field_focus('D_LastName');
			return(false);
		}

		if (document.getElementById('D_Street').value == '') {
			alert('Veuillez indiquer votre adresse de livraison.');
            field_focus('D_Street');
			return(false);
		}

		break;

	case 'infos_perso':
		if (document.getElementById('C_FirstName').value == '') {
			alert('Veuillez saisir votre nom.');
            field_focus('C_FirstName');
			return(false);
		}

		if (document.getElementById('C_LastName').value == '') {
			alert('Veuillez saisir votre prenom.');
            field_focus('C_LastName');
			return(false);
		}

		if (document.getElementById('C_Email').value == '') {
			alert('Veuillez saisir votre adresse email.');
            field_focus('C_Email');
			return(false);
		}

		if (document.getElementById('C_Password').value != '') {
            password = document.getElementById('C_Password').value;

            if (password.length < 6) {
                alert('Votre mot de passe doit contenir un minimum de 6 caracteres.');
                field_focus('C_Password');
                return(false);
            }

            if (document.getElementById('C_Password_confirm').value == '') {
                alert('Veuillez confirmez votre nouveau mot de passe.');
                field_focus('C_Password_confirm');
                return(false);
            }

            password_confirm = document.getElementById('C_Password_confirm').value;

            if (password != password_confirm) {
                alert('La confirmation de votre nouveau mot de passe est incorrecte.');
                field_focus('C_Password');
                return(false);
            }
		}

		break;

	case 'facturation':
		if (document.getElementById('B_FirstName').value == '') {
			alert('Veuillez saisir votre nom pour l\'adresse de facturation.');
            field_focus('B_FirstName');
			return(false);
		}

		if (document.getElementById('B_LastName').value == '') {
			alert('Veuillez saisir votre prenom pour l\'adresse de facturation.');
            field_focus('B_LastName');
			return(false);
		}

		if (document.getElementById('B_Street').value == '') {
			alert('Veuillez saisir votre adresse de facturation.');
            field_focus('B_Street');
			return(false);
		}

		if (document.getElementById('B_ID_State').value == 'X') {
			alert('Veuillez choisir votre departement pour l\'adresse de facturation.');
            field_focus('B_ID_State');
			return(false);
		}

		if (document.getElementById('B_ID_City').value == 'X') {
			alert('Veuillez choisir votre ville pour l\'adresse de facturation.');
            field_focus('B_ID_City');
			return(false);
		}

		break;

	case 'livraison':
		if (document.getElementById('D_FirstName').value == '') {
			alert('Veuillez saisir votre nom pour l\'adresse de livraison.');
            field_focus('D_FirstName');
			return(false);
		}

		if (document.getElementById('D_LastName').value == '') {
			alert('Veuillez saisir votre prenom pour l\'adresse de livraison.');
            field_focus('D_LastName');
			return(false);
		}

		if (document.getElementById('D_Street').value == '') {
			alert('Veuillez saisir votre adresse de livraison.');
            field_focus('D_Street');
			return(false);
		}

		if (document.getElementById('D_ID_State').value == 'X') {
			alert('Veuillez choisir votre departement pour l\'adresse de livraison.');
            field_focus('D_ID_State');
			return(false);
		}

		if (document.getElementById('D_ID_City').value == 'X') {
			alert('Veuillez choisir votre ville pour l\'adresse de livraison.');
            field_focus('D_ID_City');
			return(false);
		}

		break;
	}

	document.getElementById(formName).submit();
}
